Bug 305239 - KTimeTracker list times without task name
Summary: KTimeTracker list times without task name
Status: RESOLVED FIXED
Alias: None
Product: ktimetracker
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: Thorsten Staerk
URL:
Keywords:
: 308923 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-08-16 05:01 UTC by thomi_ch
Modified: 2014-12-20 12:17 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.12.1


Attachments
screenshot of task times (159.09 KB, image/png)
2012-08-16 05:01 UTC, thomi_ch
Details
Use task summary when parent summary is null (866 bytes, patch)
2012-11-09 19:30 UTC, Pascal VITOUX
Details

Note You need to log in before you can comment on or make changes to this bug.
Description thomi_ch 2012-08-16 05:01:40 UTC
Created attachment 73223 [details]
screenshot of task times

My System:
Kubuntu 12.04.1 LTS
KDE 4.9
KTimeTracker 4.9

If you edit times from a task, the task name isn't listed. There is a "Task" column in the times list, but empty values.

Enhancement: Only times should be listed from the current, editing task.

Thanks for fixing

Regards
thomi
Comment 1 Pascal VITOUX 2012-11-09 19:30:17 UTC
Created attachment 75135 [details]
Use task summary when parent summary is null

I have the same bug. So, I made a quick patch but not sure if this is the correct way. At least it works for me

My System:
Archlinux (x86_64)
KDE 4.9.2
KTimeTracker 4.9.2
Comment 2 John Tamoras 2012-12-06 16:10:52 UTC
this is still present on kde 4.94, (k)ubuntu system
Comment 3 thomi_ch 2013-01-31 08:11:36 UTC
this is still a open bug.. is ktimetracker deprecated, eof?
Comment 4 Christoph Feck 2013-02-07 21:46:46 UTC
Pascal, I am also not sure, if the fix is correct (I am not a PIM developer). Please post a review request to https://git.reviewboard.kde.org/ (use group kdepim)
Comment 5 Morné 2013-10-08 17:16:42 UTC
(In reply to comment #3)
> this is still a open bug.. is ktimetracker deprecated, eof?

ping ?
Comment 6 Pascal VITOUX 2014-01-01 15:32:20 UTC
(In reply to comment #5)
> (In reply to comment #3)
> > this is still a open bug.. is ktimetracker deprecated, eof?
> 
> ping ?
pong !

I submitted a review request as suggested by Christoph Feck. 
https://git.reviewboard.kde.org/r/114778
Comment 7 Allen Winter 2014-01-04 22:26:13 UTC
Git commit 70d8d9415418d05446bfdc02dbd68ef71d876a46 by Allen Winter.
Committed on 04/01/2014 at 22:24.
Pushed by winterz into branch 'KDE/4.12'.

use task summary when parent summary is null
thanks for the patch Pascal!
FIXED-IN: 4.12.1
REVIEW: 114778

M  +1    -1    ktimetracker/historydialog.cpp

http://commits.kde.org/kdepim/70d8d9415418d05446bfdc02dbd68ef71d876a46
Comment 8 Allen Winter 2014-01-04 22:26:38 UTC
Git commit 7fedf1a6bf02c0f1a5ec7e6af98d77d72c053b09 by Allen Winter.
Committed on 04/01/2014 at 22:24.
Pushed by winterz into branch 'master'.

use task summary when parent summary is null
thanks for the patch Pascal!
FIXED-IN: 4.12.1
REVIEW: 114778

M  +1    -1    ktimetracker/historydialog.cpp

http://commits.kde.org/kdepim/7fedf1a6bf02c0f1a5ec7e6af98d77d72c053b09
Comment 9 Zoltan Gyarmati 2014-12-20 12:17:01 UTC
*** Bug 308923 has been marked as a duplicate of this bug. ***